Subject: Re: bug#28601: 26.0.50; configure: error: Emacs does not support 'x86_64-pc-msys' systems.

From: Glenn Morris <[email-masked]>
Date: Wed, 27 Sep 2017 14:36:25 -0400

Vincent Belaïche wrote:

> I am trying to re-compile Emacs on MSW10 + MSYS2. This used to be
> working, but now I get the following error:
>
> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
> checking build system type... x86_64-pc-msys
> checking host system type... x86_64-pc-msys
> configure: error: Emacs does not support 'x86_64-pc-msys' systems.

What version of Emacs did this work in?
AFAICS, configure.ac has never accepted *-msys as a host type.

>From https://debbugs.gnu.org/cgi/bugreport.cgi?bug=22240#20 :
    
    configure: error: Emacs does not support 'x86_64-pc-msys' systems.
    
    This turned out to be due to not being in the right environment - I
    added the step to switch to the MinGW-w64 environment and now it works
    without specifying the --host, etc.

>From nt/INSTALL.W64:

   First we need to switch to the MinGW-w64 environment. Exit the MSYS2
   BASH console and run mingw64_shell.bat in the C:\msys64 folder...

So try that?